Redmine - Patch #2779

RSS-link should be visible even though no issues where found
2009-02-18 18:20 - Thomas Pihl

Status: Closed Start date: 2009-02-18
Priority: Normal Due date:

Assignee: Eric Davis % Done: 100%
Category: Feeds Estimated time: 0.00 hour
Target version: 0.8.2

Description

Sometimes we create saved filters to trap specific conditions like overdue issues. With a RSS/Atom reader it's very easy to read that
filter now and then, and act if issues are found.

We do not however want to pollute our production database with test-issues to be able to see the RSS-icon in bottom right corner, so
we patched /app/views/issues/index.rhtml to show the icon even if no issues where found.

| would not mind this in the main release, it should do no harm.

T

Associated revisions

Revision 2487 - 2009-02-20 23:45 - Eric Davis
Allow the other format links to appear on the issue list (ATOM, PDF, CSV).

#2779

History

#1 - 2009-02-19 06:34 - Eric Davis
- Status changed from New to 7

- Assignee set to Eric Davis

| don't use Redmine's feeds but | could see that being annoying.

#2 - 2009-02-19 23:29 - Mischa The Evil

This was one of the smaller issues | had on my ever-lasting todo-list to patch since I'm an heavy feed-user...

| wish | had moved it up the list much earlier knowing that the improvement is made with such a patch... Great!
#3 - 2009-02-20 23:45 - Eric Davis

- Status changed from 7 to Closed

- Target version set to 0.8.2

- % Done changed from 0 to 100

Fixed in r2487. Let me know if you find any other Ul improvements.

Mischa, you probably spent more time keeping that item on your todo list than | did fixing it :) Maybe you should share your todo list and we can see
what else we can fix.

#4 - 2009-02-21 00:53 - Eric Davis

- Status changed from Closed to Reopened

#5 - 2009-02-21 00:53 - Eric Davis

- Status changed from Reopened to Resolved

Setting to resolved so it will appear on the 0.8.2 list of issues to merge.
https://www.redmine.org/projects/redmine/repository/svn/revisions/2487

#6 - 2009-02-22 10:59 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8 branch in r2514.
